Name:           fastfetch
Version:        2.8.3
Release:        1%{?dist}
Summary:        Like neofetch, but much faster because written in c
 
License:        MIT
URL:            https://github.com/fastfetch-cli/fastfetch
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
 
BuildRequires:  cmake
BuildRequires:  python3
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pciutils-devel
BuildRequires:  dconf-devel
BuildRequires:  dbus-devel
BuildRequires:  sqlite-devel
BuildRequires:  zlib-devel
BuildRequires:  glib2-devel
BuildRequires:  ocl-icd-devel
BuildRequires:  rpm-devel
BuildRequires:  upx

Recommends:     pciutils
Recommends:     dconf
Recommends:     sqlite
Recommends:     zlib
Recommends:     glib2
Recommends:     ddcutil

%define debug_package %{nil}
 
%description
fastfetch is a neofetch-like tool for fetching system information and
displaying them in a pretty way. It is written in c to achieve much better
performance, in return only Linux and Android are supported. It also uses
mechanisms like multithreading and caching to finish as fast as possible.
 
 
%package bash-completion
Summary: Bash completion files for %{name}
Requires: bash-completion
Requires: %{name} = %{version}-%{release}
BuildArch: noarch
 
 
%description bash-completion
%{summary}
 
 
%package fish-completion
Summary: Fish completion files for %{name}
Requires: fish
Requires: %{name} = %{version}-%{release}
BuildArch: noarch
 
 
%description fish-completion
%{summary}
 
 
%prep
%autosetup -p1
 
 
%build
%cmake -D BUILD_TESTS=ON
%cmake_build

%check
%ctest
 
%install
%cmake_install
\rm %{buildroot}/%{_bindir}/flashfetch
# Compress the binary using upx after installation
upx %{buildroot}/%{_bindir}/%{name}
 
%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/fastfetch.1*
 
%files bash-completion
%{_datadir}/bash-completion/completions/%{name}
 
%files fish-completion
%{_datadir}/fish/vendor_completions.d/%{name}.fish
 
%changelog
* Tue Feb 13 2024 Danie de Jager <danie.dejager@gmail.com> - 2.8.3-1
* Fri Feb 2 2024 Danie de Jager <danie.dejager@gmail.com> - 2.7.1-2
- use UPX to compress binary.
* Fri Feb 2 2024 Danie de Jager <danie.dejager@gmail.com> - 2.7.1-1
- Initial build based on Fedora Spec.
- Removed dependencies
